
From: Matt Mackall <mpm@selenic.com>

That'll teach me to add comments.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/lib/sha1.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN lib/sha1.c~random-pt4-replace-sha-with-faster-version-fix-fix-fix lib/sha1.c
--- 25/lib/sha1.c~random-pt4-replace-sha-with-faster-version-fix-fix-fix	Thu Jan 27 14:05:13 2005
+++ 25-akpm/lib/sha1.c	Thu Jan 27 14:05:13 2005
@@ -27,9 +27,10 @@
  * @data:   512 bits of data to hash
  * @W:      80 words of workspace (see note)
  *
- * This function generates a SHA1 digest for a single. Be warned, it
- * does not handle padding and message digest, do not confuse it with
- * the full FIPS 180-1 digest algorithm for variable length messages.
+ * This function generates a SHA1 digest for a single 512-bit block.
+ * Be warned, it does not handle padding and message digest, do not
+ * confuse it with the full FIPS 180-1 digest algorithm for variable
+ * length messages.
  *
  * Note: If the hash is security sensitive, the caller should be sure
  * to clear the workspace. This is left to the caller to avoid
_
